$AdfDhtmlGoMenuItemPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlGoMenuItemPeer$$$$$GetSubIdDomElement$$($subElementId$$22$$) {
  var $component$$2419$$ = this.$getComponent$(), $rootElement$$176$$ = this.$getDomElement$();
  return $AdfMenuSubIdUtils$$.$getMenuItemElement$($component$$2419$$, $rootElement$$176$$, $subElementId$$22$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoMenuItemPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlGoMenuItemPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlGoMenuItemPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlGoMenuItemPeer$$$$$GetBestMatchSubId$$($childElement$$28$$) {
  var $component$$2420_subId$$49$$ = this.$getComponent$(), $rootElement$$177$$ = this.$getDomElement$();
  return ($component$$2420_subId$$49$$ = $AdfMenuSubIdUtils$$.$getMenuItemBestMatchSubId$($component$$2420_subId$$49$$, $rootElement$$177$$, $childElement$$28$$)) ? $component$$2420_subId$$49$$ : $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$28$$, this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoMenuItemPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlGoMenuItemPeer$$.prototype.$GetBestMatchSubId$});
